Bug 13336 - Add time to date column for patron circulation history
Summary: Add time to date column for patron circulation history
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-25 17:56 UTC by Kyle M Hall
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13336 - Add time to date column for patron circulation history (1.54 KB, patch)
2014-11-25 17:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13336 - Add time to date column for patron circulation history (1.61 KB, patch)
2014-12-01 16:08 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 13336 - Add time to date column for patron circulation history (1.67 KB, patch)
2014-12-08 16:32 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2014-11-25 17:56:58 UTC
Some librarians have expressed that it would be very helpful to have the hours displayed in the date column for a patron's circulation history. The time an action took place can be vital to tracking down which librarians were working at the time a given circulation action took place.
Comment 1 Kyle M Hall 2014-11-25 17:58:38 UTC Comment hidden (obsolete)
Comment 2 PTFS Europe Sandboxes 2014-12-01 16:08:25 UTC
Patch tested with a sandbox, by David Roberts <david.roberts@ptfs-europe.com>
Comment 3 PTFS Europe Sandboxes 2014-12-01 16:08:42 UTC Comment hidden (obsolete)
Comment 4 David Roberts 2014-12-01 16:11:22 UTC
I've signed this off because it works as is but I do wonder whether it may be more use having the time in the "checked out on" or "return date" column. In fact, do we really need to have a date column in addition to these two columns?
Comment 5 Jonathan Druart 2014-12-08 16:32:07 UTC
Created attachment 34185 [details] [review]
Bug 13336 - Add time to date column for patron circulation history

Some librarians have expressed that it would be very helpful to have the
hours displayed in the date column for a patron's circulation history.
The time an action took place can be vital to tracking down which
librarians were working at the time a given circulation action took
place.

Test Plan:
1) View a patron's circulation history
2) Note the Date column has no hour/minute
3) Apply this patch
4) Reload the page
5) Note the hour and minutes now display

Signed-off-by: David Roberts <david.roberts@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Tomás Cohen Arazi 2015-06-11 16:09:56 UTC
Patch pushed to master.

Thanks Kyle!